/** 单证 --预装箱单 - 成衣 **/
import { getAction, postAction, deleteAction, putAction } from '@/api/manage'

// 分页列表查询
const getadPaList = params => getAction('/spapl/syPreAssembledPackingList/list2', params)

// 新增
const addAdvPac = params => postAction('/spapl/syPreAssembledPackingList/add', params)

//参照发运明细
const shipList = params => getAction('/spapl/syPreAssembledPackingList/list3', params)

// 详情
const itemByMainId = params => getAction('/spapl/syPreAssembledPackingList/queryById', params)

//编辑
const editById = params => postAction('/spapl/syPreAssembledPackingList/edit', params)

//  删除
const deleteAdPaList = params => deleteAction('/spapl/syPreAssembledPackingList/delete', params)

// 发运明细详情
const queryShippingDetails = params =>getAction('/spapl/syPreAssembledPackingList/queryShippingDetails', params)

// 提交
const submit = params => getAction('/spapl/syPreAssembledPackingList/submit', params)

// 取消提交
const cancelSubmit = params => getAction('/spapl/syPreAssembledPackingList/cancelSubmit', params)

//批量提交
const batchSubmit = params => getAction('/spapl/syPreAssembledPackingList/submitBatch', params)

//批量推送
const batchPush = params => getAction('/spapl/syPreAssembledPackingList/pushBatch', params)

//批量取消推送
const batchCanelSubmit = params => getAction('/spapl/syPreAssembledPackingList/cancelSubmitBatch', params)


//推送
const push = params => getAction('/spapl/syPreAssembledPackingList/push', params)


export { getadPaList, deleteAdPaList, itemByMainId, editById, addAdvPac, shipList, queryShippingDetails, submit, cancelSubmit,batchSubmit ,batchPush,push,batchCanelSubmit}
